# CEGUI::MultiLineEditboxProperties::WordWrap Class Reference

Property to access the word-wrap setting of the edit box. More...

Inheritance diagram for CEGUI::MultiLineEditboxProperties::WordWrap:

[legend]
Collaboration diagram for CEGUI::MultiLineEditboxProperties::WordWrap:

[legend]
List of all members.

## Public Member Functions

String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.

## Detailed Description

Property to access the word-wrap setting of the edit box.

Usage:
  - Name: WordWrap
  - Format: "[text]"

Where [Text] is:
  - "True" to indicate the text should be word-wrapped.
  - "False" to indicate the text should not be word-wrapped.

## Member Function Documentation

String CEGUI::MultiLineEditboxProperties::WordWrap::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  | receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

void CEGUI::MultiLineEditboxProperties::WordWrap::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

Sets the value of the property.

Parameters:

  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.